Package uk.ac.starlink.vo

## Class RegistryStarTable

- java.lang.Object
- - uk.ac.starlink.table.AbstractStarTable
  - - uk.ac.starlink.table.RandomStarTable
    - - uk.ac.starlink.table.ColumnStarTable
      - - uk.ac.starlink.vo.RegistryStarTable

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `uk.ac.starlink.table.StarTable`

      public class RegistryStarTable
      extends uk.ac.starlink.table.ColumnStarTable

  Table representing the flattened results of a registry query. Each row represents an Interface of a Capability of a VOResource, or, in the case that a VOResource has no Capabilities, just a VOResource. Only selected attributes (the most useful?) of these structures are represented here as columns. If you want a more detailed representation of a VOResource object, which is hierarchical, you will need to examine the VOResource objects themselves.
  Since:
    19 Dec 2008
  Author:
    Mark Taylor

- - ### Field Summary

    - ### Fields inherited from class uk.ac.starlink.table.ColumnStarTable

      `columns_`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegistryStarTable​(RegistryQuery query)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getRowCount()` |

    - ### Methods inherited from class uk.ac.starlink.table.ColumnStarTable

      `addColumn, getCell, getColumnCount, getColumnData, getColumnInfo, makeTableWithRows, setCell, setColumn`

    - ### Methods inherited from class uk.ac.starlink.table.RandomStarTable

      `getRowAccess, getRowSequence, isRandom`

    - ### Methods inherited from class uk.ac.starlink.table.AbstractStarTable

      `checkedLongToInt, close, getColumnAuxDataInfos, getName, getParameters, getRow, getRowSplittable, getURL, setName, setParameters, setURL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface uk.ac.starlink.table.StarTable

      `getParameterByName, setParameter`

- - ### Constructor Detail

    - #### RegistryStarTable

          public RegistryStarTable​(RegistryQuery query)
                            throws java.io.IOException

      Constructor.
      Parameters:
        `query` - the query whose results are to be represented
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getRowCount

          public long getRowCount()

      Specified by:
        `getRowCount` in interface `uk.ac.starlink.table.StarTable`
      Specified by:
        `getRowCount` in class `uk.ac.starlink.table.ColumnStarTable`